Loading...
Searching...
No Matches
L4virtio::Virtqueue::Avail Class Reference

Type of available ring, this is read-only for the host. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Avail:

## Data Structures

struct | Flags
| Flags of the available ring. More...

## Data Fields

Flags | flags
| flags of available ring
l4_uint16_t | idx
| available index written by guest
l4_uint16_t | ring []
| array of available descriptor indexes.

## Detailed Description

Type of available ring, this is read-only for the host.

Definition at line 128 of file virtqueue.

The documentation for this class was generated from the following file:

- l4/l4virtio/virtqueue